package com.diagbot.facade;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.dto.EvaluationDTO;
import com.diagbot.service.impl.EvaluationServiceImpl;
import com.diagbot.vo.EvaluationdiseaseNameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class EvaluationFacade extends EvaluationServiceImpl {

	@Autowired
	PushFacade pushFacade;

	/**
	 * 获取管理与评估模板接口
	 *
	 * @param evaluationdiseaseNameVO
	 * @return
	 */
	public List<EvaluationDTO> getEvaluationModule(EvaluationdiseaseNameVO evaluationdiseaseNameVO) {

		List<EvaluationDTO> evaluationList = getEvaluationModule(evaluationdiseaseNameVO);

		Map<String, JSONObject> jsonobject = pushFacade.getManagementEvaluationContent(evaluationdiseaseNameVO);
		for (String key : jsonobject.keySet()) {
			for (EvaluationDTO evaluadata : evaluationList) {
				if (key.equals(evaluadata.getRegionName())) {
					evaluadata.setData(jsonobject.get(key));
				}
			}
		}
		return evaluationList;
	}
}
